claw::graphic::targa::file_structure::header::specification Struct Reference

Image specification. More...

`#include <targa.hpp>`

## Public Member Functions

bool | up_down_oriented () const
| Is image stored up to down ?
bool | left_right_oriented () const
| Is image stored left to right ?
unsigned char | alpha () const
| Number of bits per pixel assigned to alpha chanel.

## Public Attributes

unsigned short | x_origin
| Lower left corner X-origin.
unsigned short | y_origin
| Lower left corner Y-origin.
unsigned short | width
| Image width.
unsigned short | height
| Image height.
unsigned char | bpp
| Bits per pixel.
unsigned char | descriptor
| descriptor.

## Detailed Description

Image specification.

Definition at line 102 of file targa.hpp.

## Member Function Documentation

## alpha()

unsigned char claw::graphic::targa::file_structure::header::specification::alpha | ( |  | ) | const

Number of bits per pixel assigned to alpha chanel.

Definition at line 110 of file targa_file_structure.cpp.

References descriptor.

## left_right_oriented()

bool claw::graphic::targa::file_structure::header::specification::left_right_oriented | ( |  | ) | const

Is image stored left to right ?

Definition at line 99 of file targa_file_structure.cpp.

References descriptor.

## up_down_oriented()

bool claw::graphic::targa::file_structure::header::specification::up_down_oriented | ( |  | ) | const

Is image stored up to down ?

Definition at line 88 of file targa_file_structure.cpp.

References descriptor.

## Member Data Documentation

## bpp

unsigned char claw::graphic::targa::file_structure::header::specification::bpp

Bits per pixel.

Definition at line 113 of file targa.hpp.

## descriptor

unsigned char claw::graphic::targa::file_structure::header::specification::descriptor

descriptor.

Definition at line 115 of file targa.hpp.

Referenced by alpha(), left_right_oriented(), and up_down_oriented().

## height

unsigned short claw::graphic::targa::file_structure::header::specification::height

Image height.

Definition at line 111 of file targa.hpp.

Referenced by claw::graphic::targa::reader::load().

## width

unsigned short claw::graphic::targa::file_structure::header::specification::width

Image width.

Definition at line 109 of file targa.hpp.

Referenced by claw::graphic::targa::reader::load().

## x_origin

unsigned short claw::graphic::targa::file_structure::header::specification::x_origin

Lower left corner X-origin.

Definition at line 105 of file targa.hpp.

## y_origin

unsigned short claw::graphic::targa::file_structure::header::specification::y_origin

Lower left corner Y-origin.

Definition at line 107 of file targa.hpp.

The documentation for this struct was generated from the following files:

- targa.hpp
- code/targa_file_structure.cpp